## ugh 0.48-1

=== Makefile ===
CFLAGS=-Wall -O2 -g 
OBJECTS=round.o ugh.o cpu.o uname.o loadavg.o memory.o net.o uptime.o disk.o window.o irq.o time.o
PREFIX := /usr/local

all: ugh

install: ugh
	install -D ugh $(DESTDIR)$(PREFIX)/bin/ugh

round.o: round.c
	$(CC) $(CFLAGS) -std=c99 -c -o $@ $^

ugh: $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) -lm -lrt

clean:;
	rm -rf $(OBJECTS) ugh

=== debian/changelog ===
ugh (0.48-1) unstable; urgency=low

  * Don't print a newline for cpufreq info unless there is actual cpufreq
    info.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Sat,  9 Sep 2006 14:30:36 -0700

ugh (0.47-2) unstable; urgency=low

  * Don't show cpufreq info if there is no cpufreq on the cpu.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Fri, 21 Jul 2006 22:14:47 -0700

ugh (0.47-1) unstable; urgency=low

  * Add cpufreq tracking mechanism.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Fri, 21 Jul 2006 15:00:45 -0700

ugh (0.46-1) unstable; urgency=low

  * Remove stupid debugging abort()....

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Wed, 31 May 2006 11:24:50 -0700

ugh (0.45-1) unstable; urgency=low

  * Fix version number.
  * Fix rate counting divisors...

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Tue, 30 May 2006 23:39:42 -0700
 

ugh (0.44-1) unstable; urgency=low

  * Fix a wrong parameter to getopt preventing -D from working.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Thu, 25 May 2006 00:54:46 -0700

ugh (0.43-1) unstable; urgency=low

  * Implement command line toggles.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Thu, 25 May 2006 00:43:34 -0700

ugh (0.42-1) unstable; urgency=low

  * Fix wrong graph letters in disk.c.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Thu, 25 May 2006 00:20:38 -0700

ugh (0.41-1) unstable; urgency=low

  * Fix a SIGCONT tty mode restoration bug.
  * Also put the IRQ thing back to I/-

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Thu, 25 May 2006 00:03:55 -0700

ugh (0.40-1) unstable; urgency=low

  * Clean things up for debianization.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Wed, 24 May 2006 21:58:25 -0700

ugh (0.39-1) unstable; urgency=low

  * Initial release.

 -- Darrick J. Wong <djwong@submarine.dyndns.org>  Wed, 24 May 2006 21:30:25 -0700

=== debian/control ===
Source: ugh
Section: unknown
Priority: optional
Maintainer: Darrick J. Wong <djwong@submarine.dyndns.org>
Build-Depends: cdbs, debhelper (>= 4.1.0)
Standards-Version: 3.6.2

Package: ugh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Usage Graph Helper
 Big ugly ass program that makes ASCII art graphs.  Disgusting.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.
  
#DEB_TAR_SRCDIR                  := ugh-0.39
#DEB_AUTO_CLEANUP_RCS            := yes

# Add here any variable or target overrides you need

DEB_MAKE_INSTALL_TARGET := install PREFIX=/usr DESTDIR=debian/ugh
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/tarball.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
